<%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<%@ page import="com.rhhz.journal.web.action.ArticleBusinessController"%>
<%@ include file="../../include/global.jsp" %>
<%@ include file="../../include/taglib.jsp" %>

<% pageContext.setAttribute("requestPath",ArticleBusinessController.BASE_PATH);%>

<style>
	.figure {
	    border: 1px solid #ccc;
	    position: relative;
	    margin-bottom: 10px;
	    padding: 30px 8px 10px;
    }
    .figure .figTabSpan {
	    font-size: 12px;
	    display: block;
	    margin-bottom: 5px;
	    width: 100%;
	}
	.article_table_fullText.tableTextBox {
	    text-align: center;
	    margin: 15px 0;
	}
	.table_content {
	    padding: 10px 0 15px;
	    overflow: auto;
	}
	.table_content table, .table_content img {
	    width: auto;
	    min-width: 100%;
	}
	.article_table_fullText .table-body table {
	    overflow-x: auto;
	}
	.table_type1, .table_type2, #figTab .table_content {
	    display: inline-block;
	}
	.table-body table tr td {
	    text-align: center;
	    line-height: 25px;
	    vertical-align: middle;
	}
	.table_top_border {border-top: 1px solid black; }
	.table_top_border2 {border-top: 1px solid black; }
	.table_bottom_border {border-bottom: 1px solid black; }
	.table_bottom_border2 {border-bottom: 1px solid black; }
	.table_left_border2 {border-left: 1px solid black; }
	.table_right_border2 {border-right: 1px solid black; }
	.table_border tr td {border: 1px solid black; }
</style>

<script defer type="text/javascript" src="https://cdn.bootcss.com/mathjax/2.7.2-beta.0/MathJax.js?config=TeX-AMS-MML_SVG"></script>

<script>
  $(function () {
    if (!(window.MathJax && MathJax.Hub)) {
      $('<script>').attr({ src: 'https://mathjax.xml-journal.net/platformTools/js/MathJax-master/MathJax.js?config=TeX-AMS-MML_SVG' }).appendTo('head');
    }
  })
</script>
<script type='text/x-mathjax-config'>MathJax.Hub.Config({TeX:{extensions:["AMSmath.js","AMSsymbols.js"],Macros:{Bigggl:['\\Biggl{#1}',2],Bigggr:['\\Biggr{#1}',2]}},tex2jax: {inlineMath: [['$','$'], ['\\(','\\)']]},"HTML-CSS": {linebreaks: { automatic: true},scale: 100}});</script>


<div class="pageContent">
	<div class="pageFormContent" layoutH="59">
		
		<div class="figure">
			<div class="article_table_fullText clearfix tableTextBox" id="Fig-${layout.tagId}" ref="#Fig-${layout.tagId}">
				<c:set var="imgPath" value="" />
				<c:choose>
					<c:when test="${not empty article.articleState}">
						<c:set var="imgPath" value="${filePICPath }/newcreate/" />		
					</c:when>
					<c:otherwise>
						<c:set var="imgPath" value="${filePICPath }/${article.year}/${article.issue}/" />	
					</c:otherwise>
				</c:choose>
				<div class="table-body table_content
					<c:choose>
						<c:when test="${layout.columnNums =='1'}"> table_type1 </c:when>
						<c:when test="${layout.columnNums == '2'}"> table_type2 </c:when>
						<c:otherwise> table_type2 </c:otherwise>
					</c:choose>">
					<div class="figureTitle" style="margin-top:0;">
						<!-- 中文表题 -->
						<c:if test="${not empty layout.titleCn}">
							<p class="figTabSpan">
								<span class="TableText " id="${layout.tagId}">
									<b>
									<c:if test="${rhhz:isNotSupplementary(layout.tagId)}">
										表&nbsp;
									</c:if>
									
									${layout.labelText}</b>&nbsp;
								</span>
								${rhhz:convertMathHtml(layout.titleCn)}
							</p>
							
						</c:if>
						<!-- 英文表题 -->
						<c:if test="${not empty layout.titleEn}">
							<p class="figTabSpan">
								<span class="TableText " id="${layout.tagId}">
									<b>
									<c:if test="${rhhz:isNotSupplementary(layout.tagId)}">
										Table&nbsp;
									</c:if>
									${layout.labelText}.
									</b>&nbsp;
								</span>
								${rhhz:convertMathHtml(layout.titleEn)}
							</p>
						</c:if>
					</div>
					
					
					${rhhz:convertMathHtml(layout.content)} 
				</div>
				<!-- 注解 -->
                <c:if test="${not empty layout.altCn}">
					<p class="figTabSpan">
						${rhhz:convertMathHtml(rhhz:replaceAltImg(layout.altCn, imgPath))}
					</p>
                </c:if>
				<!-- 注解 -->
                <c:if test="${not empty layout.altEn}">
					<p class="figTabSpan">
						${rhhz:convertMathHtml(rhhz:replaceAltImg(layout.altEn, imgPath))}
					</p>
                </c:if>
			</div>
		</div>
	</div>
	<div class="formBar">
		<ul>
			<li>
				<div class="button">
					<div class="buttonContent">
						<button class="close" type="button">
							关闭
						</button>
					</div>
				</div>
			</li>
		</ul>
	</div>
</div>
<script>
	setTimeout(function() {
    	MathJax.Hub.Queue(["Typeset", MathJax.Hub, "formula"]);
  	}, 1000); // 延时1秒后执行渲染操作
</script>